%define pver	20231126

Name:		mawk
Version:	1.3.4
Release: 	%mkrel -c %{pver} 1
Summary:	An interpreter for the awk programming language
License:	GPLv2+
Group:		Development/Other
URL:		https://invisible-island.net/mawk/
Source0:	https://invisible-island.net/archives/mawk/%{name}-%{version}-%{pver}.tgz

%description
Mawk is a version of the awk programming language.  Awk interprets a
special-purpose programming language to do quick text pattern matching
and reformatting.  Mawk improves on awk in certain ways and can
sometimes outperform gawk, the standard awk program for Linux.  Mawk
conforms to the POSIX 1003.2 (draft 11.3) definition of awk.

You should install mawk if you use awk.

%prep
%setup -q -n %{name}-%{version}-%{pver}

%build
%configure
%make_build

%install
%make_install

%files
%doc ACKNOWLEDGMENT CHANGES README examples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}-arrays.7.*
%{_mandir}/man7/%{name}-code.7.*


%changelog
* Thu Dec 14 2023 daviddavid <daviddavid> 1.3.4-0.20231126.1.mga10
+ Revision: 2018135
- new version: 1.3.4-20231126

* Sun Nov 05 2023 daviddavid <daviddavid> 1.3.4-0.20231102.1.mga10
+ Revision: 2004573
- new version: 1.3.4-20231102

* Fri Sep 01 2023 daviddavid <daviddavid> 1.3.4-0.20230808.1.mga10
+ Revision: 1982996
- new version: 1.3.4-20230808

* Tue Mar 15 2022 umeabot <umeabot> 1.3.4-0.20200120.3.mga9
+ Revision: 1792709
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 1.3.4-0.20200120.2.mga8
+ Revision: 1543926
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 1.3.4-0.20200120.1.mga8
+ Revision: 1482384
- new version: 1.3.4-20200120

* Tue Jan 21 2020 daviddavid <daviddavid> 1.3.4-0.20200106.1.mga8
+ Revision: 1481800
- new version: 1.3.4-20200106
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 02 2019 daviddavid <daviddavid> 1.3.4-0.20190203.1.mga8
+ Revision: 1436353
- new version: 1.3.4-20190203

* Sun Sep 23 2018 umeabot <umeabot> 1.3.4-0.20171017.2.mga7
+ Revision: 1299491
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 daviddavid <daviddavid> 1.3.4-0.20171017.1.mga7
+ Revision: 1215491
- new version: 1.3.4-20171017
- update Source URL

* Thu Nov 24 2016 daviddavid <daviddavid> 1.3.4-0.20161120.1.mga6
+ Revision: 1069769
- new version: 1.3.4-20161120

* Sat Nov 12 2016 daviddavid <daviddavid> 1.3.4-0.20161107.1.mga6
+ Revision: 1066635
- new version: 1.3.4-20161107

* Sat Oct 01 2016 daviddavid <daviddavid> 1.3.4-0.20160930.1.mga6
+ Revision: 1058061
- new version: 1.3.4-20160930

* Sat Sep 10 2016 daviddavid <daviddavid> 1.3.4-0.20160905.1.mga6
+ Revision: 1051261
- new version: 1.3.4-20160905

* Sun Aug 14 2016 daviddavid <daviddavid> 1.3.4-0.20160615.1.mga6
+ Revision: 1046444
- new version: 1.3.4-20160615

* Fri Feb 12 2016 umeabot <umeabot> 1.3.4-0.20150503.2.mga6
+ Revision: 956117
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 daviddavid <daviddavid> 1.3.4-0.20150503.1.mga6
+ Revision: 856619
- new version: 1.3.4-20150503
- update URL and Source URL
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-18.mga5
+ Revision: 745069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-17.mga5
+ Revision: 682303
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.3-16.mga4
+ Revision: 507818
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.3-15.mga3
+ Revision: 359826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 kharec <kharec> 1.3.3-14.mga1
+ Revision: 2335
- imported package mawk


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-14mdv2011.0
+ Revision: 606632
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-13mdv2010.1
+ Revision: 519038
- rebuild

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix licence

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.3-11mdv2010.0
+ Revision: 426079
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-10mdv2009.1
+ Revision: 317075
- use %%ldflags (P1)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.3.3-9mdv2009.0
+ Revision: 223225
- rebuild
- fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.3.3-8mdv2008.1
+ Revision: 129783
- kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-8mdv2007.0
+ Revision: 134436
- Import mawk

* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-8mdv2007.1
- use the %%mkrel macro

* Fri Oct 14 2005 Pixel <pixel@mandriva.com> 1.3.3-7mdk
- rebuild

